PETSc version 3.17.4
Fix/Edit manual page

# PetscDeviceContext

Container to manage stream dependencies and the various solver handles for asynchronous device compute.

### Synopsis

    #include <petscdevicetypes.h>
    typedef struct _n_PetscDeviceContext *PetscDeviceContext;

### See Also

PetscDevice, PetscDeviceContextCreate(), PetscDeviceContextSetDevice(), PetscDeviceContextDestroy(),
PetscDeviceContextFork(), PetscDeviceContextJoin()

### Level

beginner

### Location

include/petscdevicetypes.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages